%define upstream_name    Data-Binary
%define upstream_version 0.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Simple detection of binary versus text in strings
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This simple module provides string equivalents to the -T / -B operators.
Since these only work on file names and file handles, this module provides
the same functions but on strings.

Note that the actual implementation is currently different, basically
because the -T / -B functions are in C/XS, and this module is written in
pure Perl. For now, anyway.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.10.0-2.mga8
+ Revision: 1522041
- Mageia 8 Mass Rebuild

* Tue Jan 15 2019 tv <tv> 0.10.0-1.mga7
+ Revision: 1357162
- imported package perl-Data-Binary


* Tue Jan 15 2019 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
